<?php
// $Id: drupal_wiki.profile,v 1.3 2008/01/05 08:34:30 cwgordon7 Exp $

/**
 * Implementation of hook_profile_modules().
 */
function drupal_wiki_profile_modules() {
  return array (
    0 => 'block',
    1 => 'book',
    2 => 'color',
    3 => 'comment',
    4 => 'diff',
    5 => 'filter',
    6 => 'freelinking',
    7 => 'help',
    8 => 'menu',
    9 => 'node',
    10 => 'path',
    11 => 'token',
    13 => 'search',
    14 => 'statistics',
    15 => 'system',
    16 => 'talk',
    17 => 'pathauto',
    18 => 'user',
    19 => 'watchdog',
    20 => 'wikitools',
  );
}

/**
 * Implementation of hook_profile_details().
 */
function drupal_wiki_profile_details() {
  return array (
    'name' => 'Drupal wiki',
    'description' => 'Select this profile to create a wiki powered by Drupal.',
  );
}

/**
 * Implementation of hook_profile_final().
 */
function drupal_wiki_profile_final() {
  // Set various variables.
  variable_set('anonymous', 'Anonymous');
  variable_set('clean_url', '1');
  variable_set('comment_book', '2');
  variable_set('comment_page', 0);
  variable_set('comment_talk_book', 1);
  variable_set('filter_html_1', 1);
  variable_set('freelinking_camelcase', 0);
  variable_set('freelinking_nodetype', 'book');
  variable_set('freelinking_notfound', 'no access search');
  variable_set('freelinking_onceonly', 0);
  variable_set('freelinking_restriction', 'none');
  variable_set('menu_primary_menu', 2);
  variable_set('menu_secondary_menu', 2);
  variable_set('node_options_book', array (
    0 => 'status',
    1 => 'revision',
  ));
  variable_set('node_options_forum', array (
    0 => 'status',
  ));
  variable_set('node_options_page', array (
    0 => 'status',
  ));
  variable_set('pathauto_case', '1');
  variable_set('pathauto_ignore_words', '');
  variable_set('pathauto_indexaliases', false);
  variable_set('pathauto_indexaliases_bulkupdate', false);
  variable_set('pathauto_max_bulk_update', '50');
  variable_set('pathauto_max_component_length', '100');
  variable_set('pathauto_max_length', '100');
  variable_set('pathauto_modulelist', array (
    0 => 'node',
    1 => 'taxonomy',
    2 => 'user',
  ));
  variable_set('pathauto_node_book_pattern', 'wiki/[title-raw]');
  variable_set('pathauto_node_bulkupdate', 0);
  variable_set('pathauto_node_pattern', 'content/[title-raw]');
  variable_set('pathauto_node_supportsfeeds', NULL);
  variable_set('pathauto_punctuation_ampersand', '2');
  variable_set('pathauto_punctuation_asterisk', '2');
  variable_set('pathauto_punctuation_at', '2');
  variable_set('pathauto_punctuation_backtick', '2');
  variable_set('pathauto_punctuation_back_slash', '2');
  variable_set('pathauto_punctuation_caret', '2');
  variable_set('pathauto_punctuation_colon', '2');
  variable_set('pathauto_punctuation_comma', '2');
  variable_set('pathauto_punctuation_dollar', '2');
  variable_set('pathauto_punctuation_double_quotes', '2');
  variable_set('pathauto_punctuation_equal', '2');
  variable_set('pathauto_punctuation_exclamation', '2');
  variable_set('pathauto_punctuation_greater_than', '2');
  variable_set('pathauto_punctuation_hash', '2');
  variable_set('pathauto_punctuation_hyphen', '2');
  variable_set('pathauto_punctuation_left_curly', '2');
  variable_set('pathauto_punctuation_left_parenthesis', '2');
  variable_set('pathauto_punctuation_left_square', '2');
  variable_set('pathauto_punctuation_less_than', '2');
  variable_set('pathauto_punctuation_percent', '2');
  variable_set('pathauto_punctuation_period', '2');
  variable_set('pathauto_punctuation_pipe', '2');
  variable_set('pathauto_punctuation_plus', '2');
  variable_set('pathauto_punctuation_question_mark', '2');
  variable_set('pathauto_punctuation_quotes', '2');
  variable_set('pathauto_punctuation_right_curly', '2');
  variable_set('pathauto_punctuation_right_parenthesis', '2');
  variable_set('pathauto_punctuation_right_square', '2');
  variable_set('pathauto_punctuation_semicolon', '2');
  variable_set('pathauto_punctuation_tilde', '2');
  variable_set('pathauto_punctuation_underscore', '2');
  variable_set('pathauto_reduce_ascii', 0);
  variable_set('pathauto_separator', '_');
  variable_set('pathauto_taxonomy_1_pattern', '');
  variable_set('pathauto_taxonomy_2_pattern', '');
  variable_set('pathauto_taxonomy_applytofeeds', 0);
  variable_set('pathauto_taxonomy_bulkupdate', 0);
  variable_set('pathauto_taxonomy_pattern', 'category/[vocab-raw]/[catpath-raw]');
  variable_set('pathauto_taxonomy_supportsfeeds', '0/feed');
  variable_set('pathauto_transliterate', false);
  variable_set('pathauto_update_action', '2');
  variable_set('pathauto_user_bulkupdate', 0);
  variable_set('pathauto_user_pattern', 'users/[user-raw]');
  variable_set('pathauto_user_supportsfeeds', NULL);
  variable_set('pathauto_verbose', 0);
  variable_set('show_preview_changes_book', 1);
  variable_set('site_footer', '');
  variable_set('site_frontpage', 'wiki');
  variable_set('site_mail', 'admin@localhost');
  variable_set('site_mission', '');
  variable_set('site_name', 'Wiki');
  variable_set('site_slogan', '');
  system_theme_data();
  db_query("UPDATE {system} SET status = 1 WHERE type = 'theme' and name = '%s'", 'garland');
  variable_set('theme_default', 'garland');
  variable_set('theme_settings', array (
    'toggle_node_info_page' => false,
  ));
  variable_set('wikitools_disallowed_characters', '[]{}|');
  variable_set('wikitools_hijack_freelinking', 1);
  variable_set('wikitools_main_page_title', 'Main Page');
  variable_set('wikitools_node_types', array (
    'book' => 'book',
  ));
  variable_set('wikitools_options', array (
    'node creation' => 'node creation',
    'node search' => 'node search',
    'auto redirect' => 'auto redirect',
    'unique titles' => 'unique titles',
    'move protection' => 'move protection',
    'delete protection' => 'delete protection',
    'underscore as space' => 'underscore as space',
    'dash as space' => 'dash as space',
  ));
  variable_set('wikitools_path', 'wiki');

  // Add role "Moderator".
  db_query("INSERT INTO {role} (`rid`, `name`) VALUES (3, '%s')", 'moderator');
  // Set access permissions for different roles
  db_query("UPDATE {permission} SET perm = 'create book pages, edit book pages, edit own book pages, outline posts in books, see printer-friendly version, access comments, post comments, post comments without approval, access content, revert revisions, view revisions, search content, use advanced search, access user profiles' WHERE rid = 1");
  db_query("UPDATE {permission} SET perm = 'create book pages, edit book pages, edit own book pages, outline posts in books, see printer-friendly version, access comments, post comments, post comments without approval, access content, revert revisions, view revisions, search content, use advanced search, access user profiles, change own username' WHERE rid = 2");
  db_query("INSERT INTO {permission} (`rid`, `perm`, `tid`) VALUES (3, 'create book pages, create new books, edit book pages, edit own book pages, outline posts in books, see printer-friendly version, access comments, administer comments, post comments, post comments without approval, access freelinking list, access content, revert revisions, view revisions, search content, use advanced search, access user profiles, administer users, change own username', 0)");
  // Add admin user with password 'admin'
  db_query("INSERT INTO {users} (`uid`, `name`, `pass`, `mail`, `mode`, `sort`, `threshold`, `theme`, `signature`, `created`, `access`, `login`, `status`, `timezone`, `language`, `picture`, `init`, `data`) VALUES (1, 'admin', MD5('admin'), '', 0, 0, 0, '', '', NOW(), NOW(), 0, 1, NULL, '', '', '', NULL)");
  // Log in administrator after installation
  user_authenticate('admin', 'admin');
  // Add freelinking filter
  db_query("INSERT INTO {filters} (`format`, `module`, `delta`, `weight`) VALUES (%d, 'freelinking', 0, 10)", 1);
  system_initialize_theme_blocks('garland');
  return;
}
?>
